Skip to main content
POST
/
checkout
/
pay
CDP checkout handoff — fill payment form via Chrome DevTools Protocol
curl --request POST \
  --url https://api.getovra.com/checkout/pay \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cdpUrl": "<string>",
  "intentId": "<string>",
  "targetUrl": "<string>"
}
'
{
  "status": "filled",
  "intentId": "<string>",
  "agentId": "<string>",
  "cardId": "<string>",
  "checkout": {
    "profile": "<string>",
    "strategy": "<string>",
    "fieldsFound": 123,
    "fieldsMissed": 123,
    "timingMs": 123,
    "error": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key (sk_...) or Agent token (at_...)

Headers

Idempotency-Key
string

Unique key for idempotent request handling

Body

application/json
cdpUrl
string
required

WebSocket URL for Chrome DevTools Protocol connection (ws:// or wss://)

intentId
string
required
targetUrl
string

Response

Payment form filled (or partially filled)

status
enum<string>
Available options:
filled,
partial
intentId
string
agentId
string
cardId
string
checkout
object